LibOFX: OfxRequest Class Reference

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
OfxRequest Class Reference

A generic request. More...

Inheritance diagram for OfxRequest:

## Public Member Functions
| OfxRequest (const OfxFiLogin &fi)
OfxAggregate | SignOnRequest (void) const
OfxAggregate | RequestMessage (const string &msgtype, const string &trntype, const OfxAggregate &aggregate) const
| OfxRequest (const OfxFiLogin &fi)
OfxAggregate | SignOnRequest (void) const
OfxAggregate | RequestMessage (const string &msgtype, const string &trntype, const OfxAggregate &aggregate) const
Public Member Functions inherited from OfxAggregate
| OfxAggregate (const string &tag)
void | Add (const string &tag, const string &data)
void | Add (const OfxAggregate &sub)
string | Output (void) const
| OfxAggregate (const string &tag)
void | Add (const string &tag, const string &data)
void | Add (const OfxAggregate &sub)
string | Output (void) const

## Protected Attributes
OfxFiLogin | m_login

## Detailed Description

A generic request.

This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and process a request. The details of the particular request are up to subclasses of this one.

Definition at line 36 of file ofx_request.hh.

## Constructor & Destructor Documentation

OfxRequest::OfxRequest | ( | const OfxFiLogin & | fi | ) |
| inline

Creates the generic request aggregate.

Parameters

  fi | The information needed to log on user into one financial institution

Definition at line 45 of file ofx_request.hh.

OfxRequest::OfxRequest | ( | const OfxFiLogin & | fi | ) |
| inline

Creates the generic request aggregate.

Parameters

  fi | The information needed to log on user into one financial institution

Definition at line 45 of file fx-0.9.10/lib/ofx_request.hh.

## Member Function Documentation

OfxAggregate OfxRequest::RequestMessage | ( | const string & | msgtype,
|  | const string & | trntype,
|  | const OfxAggregate & | aggregate
| ) |  | const

Creates a message aggregate

Parameters

  msgtype | The type of message. This will be prepended to "MSGSRQV1" to become the tagname of the overall aggregate
  trntype | The type of transactions being requested. This will be prepended to "TRNRQ" to become the tagname of the subordinate aggregate.
  aggregate | The actual contents of the message, which will be a sub aggregate of the xxxTRNRQ aggregate.

Returns
  The message aggregate created

Definition at line 112 of file ofx_request.cpp.

Referenced by OfxStatementRequest::BankStatementRequest(), OfxStatementRequest::CreditCardStatementRequest(), OfxStatementRequest::InvestmentStatementRequest(), OfxAccountInfoRequest::OfxAccountInfoRequest(), and OfxPaymentRequest::OfxPaymentRequest().

OfxAggregate OfxRequest::RequestMessage | ( | const string & | msgtype,
|  | const string & | trntype,
|  | const OfxAggregate & | aggregate
| ) |  | const

Creates a message aggregate

Parameters

  msgtype | The type of message. This will be prepended to "MSGSRQV1" to become the tagname of the overall aggregate
  trntype | The type of transactions being requested. This will be prepended to "TRNRQ" to become the tagname of the subordinate aggregate.
  aggregate | The actual contents of the message, which will be a sub aggregate of the xxxTRNRQ aggregate.

Returns
  The message aggregate created

OfxAggregate OfxRequest::SignOnRequest | ( | void |  | ) | const

Creates a signon request aggregate, <SIGNONMSGSRQV1> & <SONRQ>, sufficient to log this user into this financial institution.

Returns
  The request aggregate created

OfxAggregate OfxRequest::SignOnRequest | ( | void |  | ) | const

Creates a signon request aggregate, <SIGNONMSGSRQV1> & <SONRQ>, sufficient to log this user into this financial institution.

Returns
  The request aggregate created

Definition at line 84 of file ofx_request.cpp.

Referenced by OfxAccountInfoRequest::OfxAccountInfoRequest(), OfxPaymentRequest::OfxPaymentRequest(), and OfxStatementRequest::OfxStatementRequest().

The documentation for this class was generated from the following files:

- ofx_request.hh
- ofx_request.cpp